v4.0
get
/ec-ors-svc/rest/v4.0/studies/{studyId}/{mode}/shipments/{shipmentId}
Retrieves shipment containing source and destination locations by shipment ID. Rights: OrsInventoryGet, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
shipmentId(required): string(uuid)
ID of the shipment.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ShipmentTO v2.0
Type:
objectTitle:
ShipmentTO v2.0Shipment details object.
Show Source
-
createdDate: string
(date-time)
Shipment creation date.
-
depotId: string
(uuid)
Depot ID.
-
depotName: string
Name of the depot.Example:
Depot Houston -
depotShortName: string
Depot short name.Example:
dpt_hstn -
reconciliation: boolean
Indicates whether the shipment is for kit reconciliation.Example:
true -
reportId: string
(uuid)
Report Id
-
shipDate: string
(date-time)
Ship date.
-
shipmentId: string
ID of the shipment.Example:
B1B8327AFAA6412287106192AB5984EF -
shipmentNumber: string
Shipment number.Example:
123 -
siteId: string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site.
-
siteName: string
Name of the site.Example:
Site Houston -
siteShortName: string
Site short name.Example:
st_hstn -
statusId: integer
(int32)
Shipment status ID.Example:
5 -
trackingNumber: string
Shipment tracking number.Example:
12345 -
trackingNumberURL: string
URL for tracking the shipment.Example:
http://www.site.com
404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
object500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
object